<?php
/**
 * Implementation of the http(s) url validator
 *
 * @package Library
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * The Zend Framework validator for http(s) urls.
 * 
 * @package Library
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */ 
class UrlValid extends Zend_Validate_Abstract
{
 const MSG_URL = 'urlString';

 protected $_messageTemplates = array(
   self::MSG_URL => "'%value%' is not valid Url"
 );

//============================================================================== 
public function isValid($value)
{
 $this->_setValue($value);

 $str=strtolower($value);
 if (!preg_match("|^http(s)?://|",$str)) {
  $str="http://".$str;
 }
 if (! preg_match('|^http(s)?://[a-z0-9-]+(\.[a-z0-9-]+)*(:[0-9]+)?(/.*)?$|', $str) ) {
  //only one message, so self MSG_URL is used 
  $this->_error();
  return false;
 }

 return true;
}
#END CLASS
}
