<?php
/**
 * TrackBack Dao
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * TrackBack Dao class based on the Zend_Db_Table
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class Dao_TrackBack extends Dao
{
 /** table name */
 const TABLE_NAME = "trackback";

 /** table name
  * @var string
  */
 protected $_name = self::TABLE_NAME;

 /** primary key column
  * @var string
  */
 protected $_primary = "id";

 /** reference map for the relationship
  * @var array
  */
 protected $_referenceMap = array(
  'Article' => array(
    'columns' => 'article_id',
    'refTableClass' => 'Dao_Article',
    'refColumns'    => 'id'
   )
 );

//==============================================================================
public function getCountByArticle($articleId)
{
 $sql="SELECT count(*) "
  . "FROM $this->_name "
  . "WHERE article_id=$articleId "
  . "AND isSpam=0";

 return $this->getAdapter()->fetchOne($sql);
}

//==============================================================================
public function getByArticleId($articleId)
{
 $sql="SELECT * "
  . "FROM $this->_name "
  . "WHERE article_id=$articleId "
  . "AND isSpam=0";

 return $this->getAdapter()->fetchAll($sql);
}

//==============================================================================
/**
 * Returns the trackback order for an article. It is used only for article
 * trackbacks, which are sorted in the ascending order.
 *
 * @param int $trackBackId id for the item
 * @param int $articleId id for the article
 * @return int comment order
 * @throws new Exception if $commentId for the article with $articleId doesn't
 * exist
 */
public function getOrderforArticle($trackBackId,$articleId)
{
 $sql="SELECT id "
  . "FROM $this->_name "
  . "WHERE article_id=$articleId "
  . "AND isSpam=0 "
  . "ORDER BY posted ASC";
  
 $rows=$this->getAdapter()->fetchAll($sql);

 $rowOrder=0;
 foreach($rows as $row) {
  $rowOrder++;
  if ($row["id"]==$commentId) return $rowOrder;
 }

 throw new Exception("comment id $commentId for the article with id
  $articleId doesn't exist");
}

//==============================================================================
/**
 * Checks if the trackback entry in the database table already exist.
 * @return bool
 */
public function entryExist($articleId,$url)
{
 $sql="SELECT count(*) "
  . "FROM $this->_name "
  . "WHERE article_id=$articleId "
  . "AND url='$url'";

 return $this->getAdapter()->fetchOne($sql);
}

#END CLASS
}
