<?php
require_once("testenv.php");
 
 $text=file_get_contents("wikitext.txt");
 
  //Create the parser
 $parser = new WikiText_Parser();
 
 // Add the Handler
 $parser->setHandler(new WikiText_Handler());

 //add modes to parser

 //add default modes
 /*$std_modes = array('listblock','preformatted','notoc','nocache',
                     'header','table','linebreak','footnote','hr',
                     'unformatted','php','html','code','file','quote',
                     'internallink','rss','media','externallink',
                     'emaillink','windowssharelink','eol');
 */
 $parser->addMode('listblock',new WikiText_Parser_Mode_Listblock());
 $parser->addMode('preformatted',new WikiText_Parser_Mode_PreFormatted());
 $parser->addMode('unformatted',new WikiText_Parser_Mode_Unformatted());
 $parser->addMode('header',new WikiText_Parser_Mode_Header());
 $parser->addMode('table',new WikiText_Parser_Mode_Table());
 $parser->addMode('linebreak',new WikiText_Parser_Mode_LineBreak());
 $parser->addMode('footnote',new WikiText_Parser_Mode_FootNote());
 $parser->addMode('externallink',new WikiText_Parser_Mode_ExternalLink());
 $parser->addMode('html',new WikiText_Parser_Mode_Html());
 $parser->addMode('quote',new WikiText_Parser_Mode_Quote());
 $parser->addMode('code',new WikiText_Parser_Mode_Code());
 $parser->addMode('internallink',new WikiText_Parser_Mode_InternalLink());
 $parser->addMode('emaillink',new WikiText_Parser_Mode_EmailLink());
 $parser->addMode('media',new WikiText_Parser_Mode_Media());
 $parser->addMode('eol',new WikiText_Parser_Mode_Eol());


 //add formatting modes
 $parser->addMode('strong',new WikiText_Parser_Mode_Formatting('strong'));
 $parser->addMode('emphasis',new WikiText_Parser_Mode_Formatting('emphasis'));
 $parser->addMode('underline',new WikiText_Parser_Mode_Formatting('underline'));
 $parser->addMode('monospace',new WikiText_Parser_Mode_Formatting('monospace'));
 $parser->addMode('subscript',new WikiText_Parser_Mode_Formatting('subscript'));
 $parser->addMode('superscript',new WikiText_Parser_Mode_Formatting('superscript'));
 $parser->addMode('deleted',new WikiText_Parser_Mode_Formatting('deleted'));

 //add modes which need files
 $parser->addMode('smiley',new WikiText_Parser_Mode_Smiley());
 $parser->addMode('acronym',new WikiText_Parser_Mode_Acronym());
 $parser->addMode('entity',new WikiText_Parser_Mode_Entity());

 //print_r($parser->modes);

 //do the parsing input must be in utf-8
 $text=iconv("iso-8859-2","utf-8",$text);
 $instructions=$parser->parse($text);

 //print_r($instructions);
 
 $renderer = new WikiText_Renderer_Xhtml();
 $renderer->setBaseUrl("/homepage/");
 
 // Loop through the instructions
 foreach ( $instructions as $instruction ) {
  // Execute the callback against the Renderer
  call_user_func_array(array(&$renderer, $instruction[0]),$instruction[1]);
 }

 // Display the output, currently in utf-8
 //echo Article::getFirstParagraph($renderer->getOutput());
 echo $renderer->getOutput();
?>
  
