-- phpMyAdmin SQL Dump
-- version 2.9.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Feb 17, 2008 at 11:17 PM
-- Server version: 5.0.41
-- PHP Version: 5.2.2
--
-- Database: `zfblog`
--

-- --------------------------------------------------------

--
-- Table structure for table `article`
--

CREATE TABLE `article` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `author_id` int(10) unsigned default NULL,
  `title` varchar(100) NOT NULL,
  `posted` datetime NOT NULL,
  `titleURL` varchar(100) character set ascii NOT NULL,
  `text` text NOT NULL,
  `plainText` text NOT NULL,
  `format` enum('html','wiki') default NULL,
  `viewCount` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `titleURL` (`titleURL`),
  KEY `author_id` (`author_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=62 ;

-- --------------------------------------------------------

--
-- Table structure for table `articlerating`
--

CREATE TABLE `articlerating` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `article_id` int(10) unsigned NOT NULL,
  `ipAddr` varchar(16) NOT NULL,
  `votingDateTime` datetime NOT NULL,
  `rating` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `author`
--

CREATE TABLE `author` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(100) NOT NULL,
  `email` varchar(50) character set ascii NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `category`
--

CREATE TABLE `category` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `titleURL` varchar(100) character set ascii NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`,`titleURL`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table `categoryarticle`
--

CREATE TABLE `categoryarticle` (
  `article_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`article_id`,`category_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2;

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE `comment` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `article_id` int(10) unsigned NOT NULL,
  `message` text NOT NULL,
  `name` varchar(50) NOT NULL,
  `www` varchar(200) character set latin1 collate latin1_general_ci default NULL,
  `email` varchar(100) NOT NULL,
  `posted` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=40 ;

-- --------------------------------------------------------

--
-- Table structure for table `trackback`
--

CREATE TABLE `trackback` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `article_id` int(10) unsigned NOT NULL,
  `posted` datetime NOT NULL,
  `title` varchar(50) default NULL,
  `excerpt` varchar(200) default NULL,
  `url` varchar(500) NOT NULL,
  `blogName` varchar(100) default NULL,
  `isSpam` tinyint(1) NOT NULL default '1',
  `ipAddr` varchar(20) character set ascii NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2 AUTO_INCREMENT=28 ;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `article`
--
ALTER TABLE `article`
  ADD CONSTRAINT `article_ibfk_1` FOREIGN KEY (`author_id`) REFERENCES `author` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `articlerating`
--
ALTER TABLE `articlerating`
  ADD CONSTRAINT `articlerating_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `article` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `categoryarticle`
--
ALTER TABLE `categoryarticle`
  ADD CONSTRAINT `categoryarticle_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `article` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `categoryarticle_ibfk_2` FOREIGN KEY (`category_id`) REFERENCES `category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `comment`
--
ALTER TABLE `comment`
  ADD CONSTRAINT `comment_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `article` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `trackback`
--
ALTER TABLE `trackback`
  ADD CONSTRAINT `trackback_ibfk_1` FOREIGN KEY (`article_id`) REFERENCES `article` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
